/*
   Pong 1.0: Programma di Pong a 2 giocatori
   Copyright (C) 2005  Destroyer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import javax.swing.*;
import java.awt.event.*;

public class PongMenu{
	protected Graph p;
	protected JFrame f;
	public PongMenu(Graph p,JFrame f){
		
		this.p=p;
		this.f=f;
		}
	
	
	public JMenuBar setMenu(){
		
		
		
    JMenuBar menuBar=new JMenuBar();
    JMenu mPong=new JMenu("Pong");
    JMenu mHelp=new JMenu("Help");    
    JMenuItem mStart=new JMenuItem("Start");
    JMenuItem mStop=new JMenuItem("Stop");
    JMenuItem mAbout=new JMenuItem("About");    
    menuBar.add(mPong);
    menuBar.add(mHelp);
	mPong.add(mStart);
	mPong.add(mStop);
	mHelp.add(mAbout);
	menuListener l=new menuListener();
	mStart.addActionListener(l);
	mStop.addActionListener(l);
    mAbout.addActionListener(l);

	return menuBar;
		}
	
	
class menuListener implements ActionListener{


	public void actionPerformed(ActionEvent e){
		if(e.getActionCommand().equalsIgnoreCase("start"))
		   p.start();
	    if(e.getActionCommand().equalsIgnoreCase("stop"))
		   p.stop();
	    if(e.getActionCommand().equalsIgnoreCase("about"))
		  {
		  JDialog d=new JDialog(f,"About Pong",true);
  
           About a=new About(d);
           d.setResizable(false);
     
	       d.setContentPane(a);

	       d.pack();
	   
	   Screen.centraWindow(d);
	   
	       d.show();	
		  }		

		}
	}
	
	
	
	}