/*
   Pong 1.0: Programma di Pong a 2 giocatori
   Copyright (C) 2005  Destroyer

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

import java.awt.*;
import java.awt.geom.*;

public class Num{
	
  
    private Area n1;
    private Area n2;
    private int x,y;
    private static final int spx=40;
     	
	public Num(int numero,int cx,int cy){
		 		 
     	 x=cx-30;
	     y=cy-25;
		 int num1,num2;
		 
		 num2=(int)(numero/10);
		 num1=numero-num2*10;
		 		 
		 n1=setP(num1);
		 n2=setP(num2);		 
		 
		 
		}
	
	public Area setP(int numero){
		Area a;

		switch (numero){
			case 0:a=Get0();break;
			case 1:a=Get1();break;
			case 2:a=Get2();break;
			case 3:a=Get3();break;
			case 4:a=Get4();break;
			case 5:a=Get5();break;
			case 6:a=Get6();break;
			case 7:a=Get7();break;						
			case 8:a=Get8();break;
			case 9:a=Get9();break;			
			default:a=new Area();
			}
		return a;
		}
	

	
	
    public void drawOnG2D(Graphics2D g2){
        g2.translate(x,y);
        g2.fill(n2);
        g2.translate(spx,0);
        g2.fill(n1);
        
        g2.translate(-x-spx,-y);
         
    	}  


    private Area Get1(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(20,0,10,50)));
		return num;
    	}
   
    private Area Get2(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,10)));
    	num.add(new Area(new Rectangle(20,10,10,10)));    
    	num.add(new Area(new Rectangle(0,20,30,10)));
    	num.add(new Area(new Rectangle(0,30,10,10)));    
    	num.add(new Area(new Rectangle(0,40,30,10)));    	    	
		return num;
    	}	
    
   private Area Get3(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,10)));
    	num.add(new Area(new Rectangle(20,10,10,10)));    
    	num.add(new Area(new Rectangle(0,20,30,10)));
    	num.add(new Area(new Rectangle(20,30,10,10)));    
    	num.add(new Area(new Rectangle(0,40,30,10)));    	    	
		return num;
    	}	
    
   private Area Get4(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(30,0,10,50)));
    	num.add(new Area(new Rectangle(0,0,10,30)));    
    	num.add(new Area(new Rectangle(0,20,30,10)));
		return num;
    	}	
    
    
    private Area Get5(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,10)));
    	num.add(new Area(new Rectangle(0,10,10,10)));    
    	num.add(new Area(new Rectangle(0,20,30,10)));
    	num.add(new Area(new Rectangle(20,30,10,10)));    
    	num.add(new Area(new Rectangle(0,40,30,10)));    	    	
		return num;
    	}	

    private Area Get6(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,50)));
		num.subtract(new Area(new Rectangle(10,10,20,10)));
		num.subtract(new Area(new Rectangle(10,30,10,10)));				
        return num;
    	}   
   
    private Area Get7(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(20,0,10,50)));
    	num.add(new Area(new Rectangle(0,0,30,10)));        
        return num;
    	}   
   
    private Area Get8(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,50)));
		num.subtract(new Area(new Rectangle(10,10,10,10)));
		num.subtract(new Area(new Rectangle(10,30,10,10)));				
        return num;
    	}
    	
    private Area Get9(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,50)));
		num.subtract(new Area(new Rectangle(10,10,10,10)));
		num.subtract(new Area(new Rectangle(0,30,20,10)));				
        return num;
    	}	

    private Area Get0(){
    	Area num=new Area();
    	num.add(new Area(new Rectangle(0,0,30,50)));
		num.subtract(new Area(new Rectangle(10,10,10,30)));
	    return num;
    	}	
	
	}	